To Do:
+-name
-manifest
-create script/program
-args: [server, directory]
-mirror all new repos
-fetch all others
-this will serve as backups of ia.org
+
+cat > /repos/fetch.sh << EOF
+#!/usr/bin/env bash
+
+set -euo pipefail
+
+REPOS=(\$(cat ~/.repos))
+for REPO in "\${REPOS[@]}"; do
+ if [[ ! -d "\$REPO" ]]; then
+ git clone --mirror "$REMOTE\$REPO" \$REPO
+ echo "\$REPO" > "/repos/\$REPO/description"
+ cd "\$REPO"
+ git update-server-info
+ cd ..
+ else
+ cd "\$REPO"
+ git fetch --prune --prune-tags
+ git update-server-info
+ cd ..
+ fi
+done
+EOF
+
-tests
-copy lots from git-extra